/* global module */

var REDIS_PORT = 49151;

module.exports = function(deployTarget) {
  var ENV = {
    gcloudUrl: 'https://storage.googleapis.com',
    'gcloud-storage': {
      projectId: '** YOUR PROJECT ID **',
    },
    build: {
      environment: 'production'
    },
    redis: {
      allowOverwrite: true,
      keyPrefix: '<%= dasherizedPackageName %>:index', //make sure the key prefix matches your server appName
      port: REDIS_PORT
    },
    'ssh-tunnel': {
      srcPort: REDIS_PORT
    }
  };

  if (deployTarget === 'development') {
    ENV.build.environment = 'development';
  }

  if (deployTarget === 'staging') {
    ENV.build.environment = 'production';

    ENV['ssh-tunnel'].host = ''/*staging host*/ ;
    ENV['ssh-tunnel'].username = ''/*staging host*/ ;
  }

  if (deployTarget === 'production') {
    ENV.build.environment = 'production';

    ENV['gcloud-storage'].bucket = '** YOUR BUCKET HERE **';
    ENV['ssh-tunnel'].host = ''/*production host*/ ;
    ENV['ssh-tunnel'].username = ''/*production host*/ ;
  }

  return ENV;
};
